Skip to main content
GET
List Calls

Call status mapping

Do not use call_status for new integrations. It is deprecated and returned only for backward compatibility. Use state, status, and follow_up instead.

Authorizations

Authorization
string
header
required

API key must be provided as: Bearer <api_key>

Query Parameters

contact_id
string<uuid>

Only return calls for this telli contact ID

agent_id
string<uuid>

Only return calls for this telli agent ID. Cannot be combined with contact_id.

limit
integer
default:50

Maximum number of calls to return (1-100, default 50)

Required range: 1 <= x <= 100
cursor
string

Opaque cursor returned as next_cursor from a previous response. Pass unchanged to fetch the next page.

Response

Calls retrieved successfully

calls
object[]

Calls ordered by triggered_at descending

next_cursor
string | null

Pass as cursor in the next request to fetch more results. null when there are no more pages.